Bug 18459 - Add the Koha::Item->biblioitem method
Summary: Add the Koha::Item->biblioitem method
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18433
  Show dependency treegraph
 
Reported: 2017-04-19 15:01 UTC by Julian Maurice
Modified: 2017-12-07 22:18 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18459: Add the Koha::Item->biblioitem method (2.15 KB, patch)
2017-04-19 15:03 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18459: Add the Koha::Item->biblioitem method (2.27 KB, patch)
2017-04-19 18:16 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18459: Add the Koha::Item->biblioitem method (2.34 KB, patch)
2017-04-19 18:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2017-04-19 15:01:32 UTC

    
Comment 1 Julian Maurice 2017-04-19 15:03:48 UTC
Created attachment 62387 [details] [review]
Bug 18459: Add the Koha::Item->biblioitem method

Test plan:
  prove t/db_dependent/Koha/Items.t
Comment 2 Marc Véron 2017-04-19 18:16:18 UTC
Created attachment 62407 [details] [review]
Bug 18459: Add the Koha::Item->biblioitem method

Test plan:
  prove t/db_dependent/Koha/Items.t

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Jonathan Druart 2017-04-19 18:43:28 UTC
Created attachment 62412 [details] [review]
Bug 18459: Add the Koha::Item->biblioitem method

Test plan:
  prove t/db_dependent/Koha/Items.t

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2017-04-21 18:11:12 UTC
Pushed to master for 17.05, thanks Julian!
Comment 5 Katrin Fischer 2017-04-21 23:18:20 UTC
This won't get ported back to 16.11.x as it is an enhancement.
Comment 6 Jonathan Druart 2017-04-24 20:03:23 UTC
Kyle, this patch has not been pushed
Comment 7 Jonathan Druart 2017-04-25 12:34:10 UTC
(In reply to Jonathan Druart from comment #6)
> Kyle, this patch has not been pushed

Hum, forget that, it is!